| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- File List
- File Members

Loading...
Searching...
No Matches
Functions
AAX_Init.h File Reference
`#include "AAX.h"`
`#include "acfbasetypes.h"`

Go to the source code of this file.

## Description

AAX library implementations of required plug-in initialization, registration, and tear-down methods.

## Functions
AAX_Result | AAXRegisterPlugin (IACFUnknown *pUnkHost, IACFPluginDefinition **ppPluginDefinition)
| The main plug-in registration method.
AAX_Result | AAXRegisterComponent (IACFUnknown *pUnkHost, acfUInt32 index, IACFComponentDefinition **ppComponentDefinition)
| Registers a specific component in the DLL.
AAX_Result | AAXGetClassFactory (IACFUnknown *pUnkHost, const acfCLSID &clsid, const acfIID &iid, void **ppOut)
| Gets the factory for a given class ID.
AAX_Result | AAXCanUnloadNow (IACFUnknown *pUnkHost)
| Determines whether or not the host may unload the DLL.
AAX_Result | AAXStartup (IACFUnknown *pUnkHost)
| DLL initialization routine.
AAX_Result | AAXShutdown (IACFUnknown *pUnkHost)
| DLL shutdown routine.
AAX_Result | AAXGetSDKVersion (acfUInt64 *oSDKVersion)
| Returns the DLL's SDK version.

## Function Documentation

## ◆ AAXRegisterComponent()

AAX_Result AAXRegisterComponent | ( | IACFUnknown * | pUnkHost,
|  | acfUInt32 | index,
|  | IACFComponentDefinition ** | ppComponentDefinition
| ) |  |

Registers a specific component in the DLL.

The implementation of this method in the AAX library simply sets `*ppComponentDefinition` to NULL and returns AAX_SUCCESS.

Wrapped by ACFRegisterComponent()

Referenced by ACFRegisterComponent().

Here is the caller graph for this function:

## ◆ AAXGetClassFactory()

AAX_Result AAXGetClassFactory | ( | IACFUnknown * | pUnkHost,
|  | const acfCLSID & | clsid,
|  | const acfIID & | iid,
|  | void ** | ppOut
| ) |  |

Gets the factory for a given class ID.

This method is required by ACF but is not supported by AAX. Therefore the implementation of this method in the AAX library simply sets `*ppOut` to NULL and returns AAX_ERROR_UNIMPLEMENTED.

Wrapped by ACFGetClassFactory()

Referenced by ACFGetClassFactory().

Here is the caller graph for this function:

## ◆ AAXCanUnloadNow()

AAX_Result AAXCanUnloadNow | ( | IACFUnknown * | pUnkHost | ) |

Determines whether or not the host may unload the DLL.

The implementation of this method in the AAX library returns the result of `GetActiveObjectCount()` as an AAX_Result, with zero active objects interpreted as AAX_SUCCESS (see CACFUnknown.h)

Wrapped by ACFCanUnloadNow()

Referenced by ACFCanUnloadNow().

Here is the caller graph for this function:

## ◆ AAXStartup()

AAX_Result AAXStartup | ( | IACFUnknown * | pUnkHost | ) |

DLL initialization routine.

Called once at init time. The implementation of this method in the AAX library uses `pUnkHost` as an `IACFComponentFactory` to initialize global services (see acfbaseapi.h)

Wrapped by ACFStartup()

Referenced by ACFStartup().

Here is the caller graph for this function:

## ◆ AAXShutdown()

AAX_Result AAXShutdown | ( | IACFUnknown * | pUnkHost | ) |

DLL shutdown routine.

Called once before unloading the DLL. The implementation of this method in the AAX library tears down any globally initialized state and releases any globally retained resources.

Wrapped by ACFShutdown()

Referenced by ACFShutdown().

Here is the caller graph for this function:

## ◆ AAXGetSDKVersion()

AAX_Result AAXGetSDKVersion | ( | acfUInt64 * | oSDKVersion | ) |

Returns the DLL's SDK version.

The implementation of this method in the AAX library provides a 64-bit value in which the upper 32 bits represent the SDK version and the lower 32 bits represent the revision number of the SDK. See AAX_Version.h

Wrapped by ACFGetSDKVersion()

Referenced by ACFGetSDKVersion().

Here is the caller graph for this function: